<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.5">
  <compound kind="file">
    <name>OsiVolSolverInterface.hpp</name>
    <path>/builddir/build/BUILD/Vol-1.5.4/src/OsiVol/</path>
    <filename>OsiVolSolverInterface_8hpp.html</filename>
    <includes id="VolVolume_8hpp" name="VolVolume.hpp" local="yes" imported="no">VolVolume.hpp</includes>
    <class kind="class">OsiVolSolverInterface</class>
    <class kind="class">OsiVolSolverInterface::OsiVolMatrixOneMinusOne_</class>
    <member kind="function">
      <type>void</type>
      <name>OsiVolSolverInterfaceUnitTest</name>
      <anchorfile>OsiVolSolverInterface_8hpp.html</anchorfile>
      <anchor>a37c22231739a8d27dd51bff5ba63a5b6</anchor>
      <arglist>(const std::string &amp;mpsDir, const std::string &amp;netlibDir)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const double</type>
      <name>OsiVolInfinity</name>
      <anchorfile>OsiVolSolverInterface_8hpp.html</anchorfile>
      <anchor>a3af4750154b872c4c6300d8843b43aa3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>VolVolume.hpp</name>
    <path>/builddir/build/BUILD/Vol-1.5.4/src/</path>
    <filename>VolVolume_8hpp.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>VOL_DEBUG</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>ac1078389c61ddbd6f815fcd7676c4e50</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VOL_TEST_INDEX</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>a67ac777cfe1e4fb19ef8340d4d7354ed</anchor>
      <arglist>(i, size)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VOL_TEST_SIZE</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>ab432826bfd1eee23c3bd750b1914cc53</anchor>
      <arglist>(size)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T</type>
      <name>VolMax</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>a9a3b2b42134b439f1896f30d313545cd</anchor>
      <arglist>(register const T x, register const T y)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T</type>
      <name>VolAbs</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>aa8e6c0c3fd71c98dfd8df9767c6ef549</anchor>
      <arglist>(register const T x)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>OsiVolSolverInterface::OsiVolMatrixOneMinusOne_</name>
    <filename>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</filename>
    <member kind="function">
      <type></type>
      <name>OsiVolMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a826835a09e4b4e90cf0c13d89320d1fa</anchor>
      <arglist>(const CoinPackedMatrix &amp;m)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~OsiVolMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ada2acbf763e39fc2747fac0bbc0d73b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>timesMajor</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ae1d076d6a5c90c2e14e8681459c66001</anchor>
      <arglist>(const double *x, double *y) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>majorDim_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a9cfa2d4a619d23d5b4bb65bc2a605312</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>minorDim_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ae323ea26d9a61828ccdbfff3ae89dfcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>plusSize_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a358e3487ed22757a17d457e4937d41c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>plusInd_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a6c648f052665691e320a3f6dc886e1a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>plusStart_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>af19bd10e242cb3fcad9e43cff0843b61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>plusLength_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a042a005caaff52c021eee6b859e4d0ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>minusSize_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>af4e59e896a9f01e3c66a143387730635</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>minusInd_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a7ee1d12c1b82a33c40fc0bd6969bd22d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>minusStart_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ac7c9613cbbee566ad806d1852c93511f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>minusLength_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a72cd9d93ed16e395af27bb935cedc7e8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>OsiVolSolverInterface</name>
    <filename>classOsiVolSolverInterface.html</filename>
    <base virtualness="virtual">OsiSolverInterface</base>
    <base>VOL_user_hooks</base>
    <class kind="class">OsiVolSolverInterface::OsiVolMatrixOneMinusOne_</class>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initialSolve</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5ebb97db84ff8a51509b9992f06bf0d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resolve</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4fe4715c58806023e74cb9d4bfe9d4d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>branchAndBound</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a56192c678080507f15731c4c69ee2576</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setIntParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3fc41673f23e0d13336e8f2315ad8ed8</anchor>
      <arglist>(OsiIntParam key, int value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDblParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a43e795247cbc6f7ff8bb3b50509b186a</anchor>
      <arglist>(OsiDblParam key, double value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setStrParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6e630786512de53623da7fad47e92e44</anchor>
      <arglist>(OsiStrParam key, const std::string &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getIntParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a229b560a192127f4e00051ea56492e86</anchor>
      <arglist>(OsiIntParam key, int &amp;value) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getDblParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a83a92b56a81de510c5d5362aa89559f6</anchor>
      <arglist>(OsiDblParam key, double &amp;value) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getStrParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7d17f607499a9401a3d7abd5422f76bc</anchor>
      <arglist>(OsiStrParam key, std::string &amp;value) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isAbandoned</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a74130230212afcf9956ef37d481c694f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenOptimal</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac7cc81a5516695961535ef307f26dc3b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenPrimalInfeasible</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a59d3a1ffa382555b82650e095eccbf09</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenDualInfeasible</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7c2ecb5ca843bf7aeeb0f000a4f33e7d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPrimalObjectiveLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7afd464c66a53408e97d26e4b10e8b28</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isDualObjectiveLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a563b90c13cbd039828546358ceb90836</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isIterationLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8a9083d84fd6d8c25c308b5a005df010</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CoinWarmStart *</type>
      <name>getEmptyWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa6819f989c71f72196960b2d0e8f6d80</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CoinWarmStart *</type>
      <name>getWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a06a4cb8cee08836064354eed71844bf1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60ac508098e23acf27baae4ae37556</anchor>
      <arglist>(const CoinWarmStart *warmstart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>markHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a44b12eb36763b22cba26327ba9199f85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>solveFromHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aff51883da4510d997e39dd2bf6d1de33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unmarkHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0362c9e14f7d07fdb9b7167270afcf93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af8210e683acf1d54605300b17eddcc92</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9ea7fa90ce76bdd0325f5f732fed0125</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumElements</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a020a482c6e652eed416b4a638436ea4d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1a0b81232ccf0d0e80d538321b395677</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8f3d51240b4cd558b38ef9f01c0f69bd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>getRowSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad38daced30d3573d4967a55ef21bb9cc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRightHandSide</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af13e4ac1cab80d8ac634004e2b850e98</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowRange</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aeedce609de60c2c8dd35f9e5001d511b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9febbc1c69677f95b0f84aa19ecf2e0d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a36b612bd705b76d35a03bca353a8a0d5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getObjCoefficients</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aaa24f8126c5b7cc4ce89044ebbf83547</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getObjSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3002c28e1da9bcba0e504415605e3da7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afc2f6d4e62d23498377b73ac633504ee</anchor>
      <arglist>(int colNumber) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const CoinPackedMatrix *</type>
      <name>getMatrixByRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aee025bdab38c0d9ce8d33b9c627fedbc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const CoinPackedMatrix *</type>
      <name>getMatrixByCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6073503253ae36c97bf020c557810185</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getInfinity</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b4eec77d037094283ec2a29cb4c9325</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColSolution</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae4957cd3702f11063b357846625da5ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowPrice</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afd4597512e4f7e1ff92bff43bc2c2875</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getReducedCost</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a340c1b0cb2b37d7f9ae98a61530f54d9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowActivity</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af3025e1d789dd5b66bfe04e39d33e973</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getObjValue</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a812f3a9a06a43e9366fd46cdfdddb4c8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getIterationCount</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6e11deb85ecb15dc9ee974c4ea47b032</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; double * &gt;</type>
      <name>getDualRays</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab4f4786294e43e79e89fc94ac198e0dc</anchor>
      <arglist>(int maxNumRays, bool fullRay=false) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; double * &gt;</type>
      <name>getPrimalRays</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3f5ef5f9796cde8d466b00893cefed9</anchor>
      <arglist>(int maxNumRays) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setObjCoeff</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3d1a2a3354b847d2d27dad37c1c13bd7</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a51c4650dbac138da548b4c4d86fc812e</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a24f1ab35bd750441d7631d4737dd768c</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac988cacdabb5e9f7ca5f1174e870c872</anchor>
      <arglist>(int elementIndex, double lower, double upper)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColSetBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b6321847f1f19f8d8458e0db6f38ca6</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const double *boundList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a036cc7ad0c23e9feef8425cd83031151</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2485d04c0e4991ea23498648bb372f9d</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af395ede4b850c6b359aa83a034057ed5</anchor>
      <arglist>(int elementIndex, double lower, double upper)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowType</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad792679d189ca042f1e6f0edcde57e3c</anchor>
      <arglist>(int index, char sense, double rightHandSide, double range)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowSetBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4ad0b0e8d952fb84f83a1250f9a31559</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const double *boundList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowSetTypes</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4a36e688be96b4b7e601cd594bb12f27</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const char *senseList, const double *rhsList, const double *rangeList)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a918fc38cedd52e11c03f5cf101ce1fe4</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af400534680816396b981b7d7a8455005</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a918fc38cedd52e11c03f5cf101ce1fe4</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af400534680816396b981b7d7a8455005</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab26eb753fca0ac04650ef110c17ab90e</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a72843ad6192a5e5db5891233d6a508ad</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab26eb753fca0ac04650ef110c17ab90e</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a72843ad6192a5e5db5891233d6a508ad</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6fd1d3e2a673136e7c4ae5fd1142ea50</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setInteger</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a65aeee82e9a153085f7f5b909c68a7c6</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af4b4180e280d858d725bc025c23fd09c</anchor>
      <arglist>(const int *indices, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setInteger</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a692e9fc4a2eae2d5fb6b42ae8be632dc</anchor>
      <arglist>(const int *indices, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setObjSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3d080a1dc1aca47d8d946940cb9a01f9</anchor>
      <arglist>(double s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColSolution</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af371083842b1f1e107b4c3732431dcb3</anchor>
      <arglist>(const double *colsol)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowPrice</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adc3c9744f16a17fa2af0f6b12c2a9422</anchor>
      <arglist>(const double *rowprice)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5daddb423ec952d1077c8b889ac96e9c</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1bdbb642959ab0792bdbd88adac79a7f</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4e0e754ff11804efc4a2af47d886b53c</anchor>
      <arglist>(const int num, const int *colIndices)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab744a0e21d9e317f948f6c78987b0ffa</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4cbea52611652aaf0770f177957efbe8</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a766a574a8dc202c825f38fb8ca498434</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a660081945278c79aee5374dc1f9d5ce3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a26022e9595a58df902ac8f5d67663e25</anchor>
      <arglist>(const int num, const int *rowIndices)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0943eecd48dc5bb43564d0d3f6d0dac5</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1e45ed1697119c6a1bfe51c9da8544ba</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0de24e290845312bf17b0c2f0d7c029b</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad9dc21e813287b50b4bdc6a516fc73e4</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0943eecd48dc5bb43564d0d3f6d0dac5</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1e45ed1697119c6a1bfe51c9da8544ba</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0de24e290845312bf17b0c2f0d7c029b</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad9dc21e813287b50b4bdc6a516fc73e4</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac07df4703642a919d53a1d42a20c696a</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad833c91e78005b89bb17c22daaf95d30</anchor>
      <arglist>(const int numcols, const CoinBigIndex *columnStarts, const int *rows, const double *elements, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60f8a78babc2a9f6584d1475d336f9</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5e9e794e31ab92ac4e476924bdb2fac5</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac07df4703642a919d53a1d42a20c696a</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad833c91e78005b89bb17c22daaf95d30</anchor>
      <arglist>(const int numcols, const CoinBigIndex *columnStarts, const int *rows, const double *elements, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60f8a78babc2a9f6584d1475d336f9</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5e9e794e31ab92ac4e476924bdb2fac5</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a54804d3ea0d4691727e68ca86a27c0c9</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8007140b8d07605789f9524f024f9ee7</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3b50ec92a58e6dcab48ca0e0207e17c6</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad89b9a64d02dd59903ae60f31fbcdb54</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adecc389126e33041b00107595b2179b0</anchor>
      <arglist>(int numberElements, const int *columns, const double *element, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a54804d3ea0d4691727e68ca86a27c0c9</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8007140b8d07605789f9524f024f9ee7</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3b50ec92a58e6dcab48ca0e0207e17c6</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad89b9a64d02dd59903ae60f31fbcdb54</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adecc389126e33041b00107595b2179b0</anchor>
      <arglist>(int numberElements, const int *columns, const double *element, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6957503d520d7d080ba8ef47d2ceece3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac6a528ebe53957baf5bcd13110fa0353</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a884502fe1e19b41f942bb9a3bdcb76b6</anchor>
      <arglist>(const int numrows, const CoinBigIndex *rowStarts, const int *columns, const double *element, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfaad7fc8ce5c386758c6d8c5e333efc</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6805bb6b6b4418aa27dc59c0f65327e7</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6957503d520d7d080ba8ef47d2ceece3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac6a528ebe53957baf5bcd13110fa0353</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a884502fe1e19b41f942bb9a3bdcb76b6</anchor>
      <arglist>(const int numrows, const CoinBigIndex *rowStarts, const int *columns, const double *element, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfaad7fc8ce5c386758c6d8c5e333efc</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6805bb6b6b4418aa27dc59c0f65327e7</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac41b0922f868043944f5d2e7ec104a04</anchor>
      <arglist>(const CoinPackedMatrix &amp;matrix, const double *collb, const double *colub, const double *obj, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assignProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa3492523b42f0cfecd3f5ddfaa8f9373</anchor>
      <arglist>(CoinPackedMatrix *&amp;matrix, double *&amp;collb, double *&amp;colub, double *&amp;obj, double *&amp;rowlb, double *&amp;rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae884922d1787a42e40cb876a48959463</anchor>
      <arglist>(const CoinPackedMatrix &amp;matrix, const double *collb, const double *colub, const double *obj, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assignProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3e5765e8ce5fe8a7870c8998cf40f77</anchor>
      <arglist>(CoinPackedMatrix *&amp;matrix, double *&amp;collb, double *&amp;colub, double *&amp;obj, char *&amp;rowsen, double *&amp;rowrhs, double *&amp;rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4a1ef4400bb8721fd7d6910d60dd4b46</anchor>
      <arglist>(const int numcols, const int numrows, const int *start, const int *index, const double *value, const double *collb, const double *colub, const double *obj, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aefe40fd3c07cd4a8b1898e8fdf3e56a7</anchor>
      <arglist>(const int numcols, const int numrows, const int *start, const int *index, const double *value, const double *collb, const double *colub, const double *obj, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac05ece7535f5ee98272d910577f2257c</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2e1a80224b915bf3e5a809a137b5656d</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;, double objSense=0.0) const</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac1ab31a12e1d052aec04267e1d57418b</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aec8a22eab5e244f372f3dfa83e1cd8a1</anchor>
      <arglist>(const char *filename, const char *extension, int &amp;numberSets, CoinSet **&amp;sets)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac1ab31a12e1d052aec04267e1d57418b</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aec8a22eab5e244f372f3dfa83e1cd8a1</anchor>
      <arglist>(const char *filename, const char *extension, int &amp;numberSets, CoinSet **&amp;sets)</arglist>
    </member>
    <member kind="function">
      <type>VOL_problem *</type>
      <name>volprob</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad9b948f9ba7dc03f30cb747b7c180964</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acbae7780d832ae3e62e651fc6e5f438d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual OsiSolverInterface *</type>
      <name>clone</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a027fcf6c54a3eb01c66e1f4c7dd5233b</anchor>
      <arglist>(bool copyData=true) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfc6d8568d1a8618ae49a7bdf6f0aa90</anchor>
      <arglist>(const OsiVolSolverInterface &amp;)</arglist>
    </member>
    <member kind="function">
      <type>OsiVolSolverInterface &amp;</type>
      <name>operator=</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa644e53d773d4dde397a80697bc54b5f</anchor>
      <arglist>(const OsiVolSolverInterface &amp;rhs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a41a5645a3787a80a832623b3f4c14050</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromRlbRub</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae504346709c43c82e95b0757c88fc68b</anchor>
      <arglist>(const int rownum, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromRhsSenseRange</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8bda83f9cad03ea0d9d068d60f786fb0</anchor>
      <arglist>(const int rownum, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromClbCubObj</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa9b025f3c091f2f64884fac64158c771</anchor>
      <arglist>(const int colnum, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>applyRowCut</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a288d69036d580107d0f0a701e382582b</anchor>
      <arglist>(const OsiRowCut &amp;rc)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>applyColCut</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac965135c34b7d5c049e56f3e9db41097</anchor>
      <arglist>(const OsiColCut &amp;cc)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>compute_rc</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5ff89d0bb6f2ec7e8c4655286564450f</anchor>
      <arglist>(const VOL_dvector &amp;u, VOL_dvector &amp;rc)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>solve_subproblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af9c03548fea7f4f4e8168dc56a961f6c</anchor>
      <arglist>(const VOL_dvector &amp;dual, const VOL_dvector &amp;rc, double &amp;lcost, VOL_dvector &amp;x, VOL_dvector &amp;v, double &amp;pcost)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>heuristics</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a92e031f098f71a8a061b14fad497accd</anchor>
      <arglist>(const VOL_problem &amp;, const VOL_dvector &amp;, double &amp;heur_val)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>updateRowMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acf1de69b8c89ebd6aabb73fff5a54941</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>updateColMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abf883ece6884162da5b3e752675b93c4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>checkData_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2d4672471a9956c60b34e45f3bd240ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>compute_rc_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ada1f02694d77cba2fd808cce9aa9566f</anchor>
      <arglist>(const double *u, double *rc) const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>gutsOfDestructor_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aaa83f9fbc524b649a7f0d07f500415f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>rowRimAllocator_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a40d8a14a26d069f62a5642846ba159fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>colRimAllocator_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a94ef281a85fc2df1863f9a98a06de528</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>rowRimResize_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a05a11028122647541c33f202fefc430d</anchor>
      <arglist>(const int newSize)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>colRimResize_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6641420238ed18381d0a5934458f53b9</anchor>
      <arglist>(const int newSize)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>convertBoundsToSenses_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8761c3b4b1a38d547b00a2347d08439f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>convertSensesToBounds_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3ccd3e54a258132b9e7c03b5fc932fa2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>bool</type>
      <name>test_zero_one_minusone_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a11ed9eb302b60e9b512e9566caf1bee0</anchor>
      <arglist>(const CoinPackedMatrix &amp;m) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>rowMatrixCurrent_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2c6bb6ab056d8890ca74403f04beee3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CoinPackedMatrix</type>
      <name>rowMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abc6f3b704ca28454f5fa2a1160c1525b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>colMatrixCurrent_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adfbb1b74d7b196a7d114e01ab7022f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CoinPackedMatrix</type>
      <name>colMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa45f83d401722012d62e866cb138e9bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>isZeroOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9a43d66116a83248f774c60ef9b92d1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>OsiVolMatrixOneMinusOne_ *</type>
      <name>rowMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa1aee99342795a75863588bf08912ee3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>OsiVolMatrixOneMinusOne_ *</type>
      <name>colMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afa67d9059b27f15c637f7ddabc5d4b2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>colupper_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af7a457af85895b24d2a58d589cc562c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>collower_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afabc5f5c35ad58b2360c19ad3b67f999</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool *</type>
      <name>continuous_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aee4d19e72cb0ee0545121e1d3d2f0826</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowupper_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3cea4279ed5213b02e54cf6fe0caab4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowlower_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a817ab5c159fe916da8fca218d92770b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>char *</type>
      <name>rowsense_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7adff06c89544f6d6b9420f6e16cdc80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rhs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a968ca7feb3535e9c5a3256407aef8371</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowrange_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a25c1114be8b78ff2793aa9c2fe69fe8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>objcoeffs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab24e216d140d02ce3a48bb0b4927c4ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>objsense_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a49a8fad6ff7e06424f17f4511d832901</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>colsol_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a22559006edd316d7e684deb200236943</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowprice_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a26ac3fb6b72c3169cbb76c1140b933ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rc_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0eedd79506eade28d3f74ecb0ce965b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>lhs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a11d3ee46399cc65041a1b54d54aad2e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>lagrangeanCost_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a23b24314f4984946a011604e5113d106</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowpriceHotStart_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a29e5f1fc10b47fe35a9153f8d118461e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>maxNumrows_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1f5b780357ae6b5f5dea9e6bb26a0cb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>maxNumcols_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a264f84c302b54a5413a8f0b6058d9fdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>VOL_problem</type>
      <name>volprob_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab9ef036ccc569615e1a82772deb11a4a</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend void</type>
      <name>OsiVolSolverInterfaceUnitTest</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a37c22231739a8d27dd51bff5ba63a5b6</anchor>
      <arglist>(const std::string &amp;mpsDir, const std::string &amp;netlibDir)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>rowMatrixCurrent_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2c6bb6ab056d8890ca74403f04beee3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CoinPackedMatrix</type>
      <name>rowMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abc6f3b704ca28454f5fa2a1160c1525b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>colMatrixCurrent_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adfbb1b74d7b196a7d114e01ab7022f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CoinPackedMatrix</type>
      <name>colMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa45f83d401722012d62e866cb138e9bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>isZeroOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9a43d66116a83248f774c60ef9b92d1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>OsiVolMatrixOneMinusOne_ *</type>
      <name>rowMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa1aee99342795a75863588bf08912ee3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>OsiVolMatrixOneMinusOne_ *</type>
      <name>colMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afa67d9059b27f15c637f7ddabc5d4b2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>colupper_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af7a457af85895b24d2a58d589cc562c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>collower_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afabc5f5c35ad58b2360c19ad3b67f999</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool *</type>
      <name>continuous_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aee4d19e72cb0ee0545121e1d3d2f0826</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowupper_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3cea4279ed5213b02e54cf6fe0caab4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowlower_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a817ab5c159fe916da8fca218d92770b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>char *</type>
      <name>rowsense_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7adff06c89544f6d6b9420f6e16cdc80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rhs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a968ca7feb3535e9c5a3256407aef8371</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowrange_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a25c1114be8b78ff2793aa9c2fe69fe8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>objcoeffs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab24e216d140d02ce3a48bb0b4927c4ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>objsense_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a49a8fad6ff7e06424f17f4511d832901</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>colsol_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a22559006edd316d7e684deb200236943</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowprice_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a26ac3fb6b72c3169cbb76c1140b933ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rc_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0eedd79506eade28d3f74ecb0ce965b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>lhs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a11d3ee46399cc65041a1b54d54aad2e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>lagrangeanCost_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a23b24314f4984946a011604e5113d106</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowpriceHotStart_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a29e5f1fc10b47fe35a9153f8d118461e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>maxNumrows_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1f5b780357ae6b5f5dea9e6bb26a0cb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>maxNumcols_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a264f84c302b54a5413a8f0b6058d9fdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>VOL_problem</type>
      <name>volprob_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab9ef036ccc569615e1a82772deb11a4a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initialSolve</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5ebb97db84ff8a51509b9992f06bf0d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resolve</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4fe4715c58806023e74cb9d4bfe9d4d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>branchAndBound</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a56192c678080507f15731c4c69ee2576</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setIntParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3fc41673f23e0d13336e8f2315ad8ed8</anchor>
      <arglist>(OsiIntParam key, int value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDblParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a43e795247cbc6f7ff8bb3b50509b186a</anchor>
      <arglist>(OsiDblParam key, double value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setStrParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6e630786512de53623da7fad47e92e44</anchor>
      <arglist>(OsiStrParam key, const std::string &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getIntParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a229b560a192127f4e00051ea56492e86</anchor>
      <arglist>(OsiIntParam key, int &amp;value) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getDblParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a83a92b56a81de510c5d5362aa89559f6</anchor>
      <arglist>(OsiDblParam key, double &amp;value) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getStrParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7d17f607499a9401a3d7abd5422f76bc</anchor>
      <arglist>(OsiStrParam key, std::string &amp;value) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isAbandoned</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a74130230212afcf9956ef37d481c694f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenOptimal</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac7cc81a5516695961535ef307f26dc3b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenPrimalInfeasible</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a59d3a1ffa382555b82650e095eccbf09</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenDualInfeasible</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7c2ecb5ca843bf7aeeb0f000a4f33e7d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPrimalObjectiveLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7afd464c66a53408e97d26e4b10e8b28</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isDualObjectiveLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a563b90c13cbd039828546358ceb90836</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isIterationLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8a9083d84fd6d8c25c308b5a005df010</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CoinWarmStart *</type>
      <name>getEmptyWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa6819f989c71f72196960b2d0e8f6d80</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CoinWarmStart *</type>
      <name>getWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a06a4cb8cee08836064354eed71844bf1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60ac508098e23acf27baae4ae37556</anchor>
      <arglist>(const CoinWarmStart *warmstart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>markHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a44b12eb36763b22cba26327ba9199f85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>solveFromHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aff51883da4510d997e39dd2bf6d1de33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unmarkHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0362c9e14f7d07fdb9b7167270afcf93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af8210e683acf1d54605300b17eddcc92</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9ea7fa90ce76bdd0325f5f732fed0125</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumElements</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a020a482c6e652eed416b4a638436ea4d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1a0b81232ccf0d0e80d538321b395677</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8f3d51240b4cd558b38ef9f01c0f69bd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>getRowSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad38daced30d3573d4967a55ef21bb9cc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRightHandSide</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af13e4ac1cab80d8ac634004e2b850e98</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowRange</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aeedce609de60c2c8dd35f9e5001d511b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9febbc1c69677f95b0f84aa19ecf2e0d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a36b612bd705b76d35a03bca353a8a0d5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getObjCoefficients</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aaa24f8126c5b7cc4ce89044ebbf83547</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getObjSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3002c28e1da9bcba0e504415605e3da7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afc2f6d4e62d23498377b73ac633504ee</anchor>
      <arglist>(int colNumber) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const CoinPackedMatrix *</type>
      <name>getMatrixByRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aee025bdab38c0d9ce8d33b9c627fedbc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const CoinPackedMatrix *</type>
      <name>getMatrixByCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6073503253ae36c97bf020c557810185</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getInfinity</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b4eec77d037094283ec2a29cb4c9325</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColSolution</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae4957cd3702f11063b357846625da5ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowPrice</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afd4597512e4f7e1ff92bff43bc2c2875</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getReducedCost</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a340c1b0cb2b37d7f9ae98a61530f54d9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowActivity</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af3025e1d789dd5b66bfe04e39d33e973</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getObjValue</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a812f3a9a06a43e9366fd46cdfdddb4c8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getIterationCount</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6e11deb85ecb15dc9ee974c4ea47b032</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; double * &gt;</type>
      <name>getDualRays</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab4f4786294e43e79e89fc94ac198e0dc</anchor>
      <arglist>(int maxNumRays, bool fullRay=false) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; double * &gt;</type>
      <name>getPrimalRays</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3f5ef5f9796cde8d466b00893cefed9</anchor>
      <arglist>(int maxNumRays) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setObjCoeff</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3d1a2a3354b847d2d27dad37c1c13bd7</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a51c4650dbac138da548b4c4d86fc812e</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a24f1ab35bd750441d7631d4737dd768c</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac988cacdabb5e9f7ca5f1174e870c872</anchor>
      <arglist>(int elementIndex, double lower, double upper)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColSetBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b6321847f1f19f8d8458e0db6f38ca6</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const double *boundList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a036cc7ad0c23e9feef8425cd83031151</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2485d04c0e4991ea23498648bb372f9d</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af395ede4b850c6b359aa83a034057ed5</anchor>
      <arglist>(int elementIndex, double lower, double upper)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowType</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad792679d189ca042f1e6f0edcde57e3c</anchor>
      <arglist>(int index, char sense, double rightHandSide, double range)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowSetBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4ad0b0e8d952fb84f83a1250f9a31559</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const double *boundList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowSetTypes</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4a36e688be96b4b7e601cd594bb12f27</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const char *senseList, const double *rhsList, const double *rangeList)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a918fc38cedd52e11c03f5cf101ce1fe4</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af400534680816396b981b7d7a8455005</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a918fc38cedd52e11c03f5cf101ce1fe4</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af400534680816396b981b7d7a8455005</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab26eb753fca0ac04650ef110c17ab90e</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a72843ad6192a5e5db5891233d6a508ad</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab26eb753fca0ac04650ef110c17ab90e</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a72843ad6192a5e5db5891233d6a508ad</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6fd1d3e2a673136e7c4ae5fd1142ea50</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setInteger</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a65aeee82e9a153085f7f5b909c68a7c6</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af4b4180e280d858d725bc025c23fd09c</anchor>
      <arglist>(const int *indices, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setInteger</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a692e9fc4a2eae2d5fb6b42ae8be632dc</anchor>
      <arglist>(const int *indices, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setObjSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3d080a1dc1aca47d8d946940cb9a01f9</anchor>
      <arglist>(double s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColSolution</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af371083842b1f1e107b4c3732431dcb3</anchor>
      <arglist>(const double *colsol)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowPrice</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adc3c9744f16a17fa2af0f6b12c2a9422</anchor>
      <arglist>(const double *rowprice)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5daddb423ec952d1077c8b889ac96e9c</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1bdbb642959ab0792bdbd88adac79a7f</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4e0e754ff11804efc4a2af47d886b53c</anchor>
      <arglist>(const int num, const int *colIndices)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab744a0e21d9e317f948f6c78987b0ffa</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4cbea52611652aaf0770f177957efbe8</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a766a574a8dc202c825f38fb8ca498434</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a660081945278c79aee5374dc1f9d5ce3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a26022e9595a58df902ac8f5d67663e25</anchor>
      <arglist>(const int num, const int *rowIndices)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0943eecd48dc5bb43564d0d3f6d0dac5</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1e45ed1697119c6a1bfe51c9da8544ba</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0de24e290845312bf17b0c2f0d7c029b</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad9dc21e813287b50b4bdc6a516fc73e4</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0943eecd48dc5bb43564d0d3f6d0dac5</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1e45ed1697119c6a1bfe51c9da8544ba</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0de24e290845312bf17b0c2f0d7c029b</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad9dc21e813287b50b4bdc6a516fc73e4</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac07df4703642a919d53a1d42a20c696a</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad833c91e78005b89bb17c22daaf95d30</anchor>
      <arglist>(const int numcols, const CoinBigIndex *columnStarts, const int *rows, const double *elements, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60f8a78babc2a9f6584d1475d336f9</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5e9e794e31ab92ac4e476924bdb2fac5</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac07df4703642a919d53a1d42a20c696a</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad833c91e78005b89bb17c22daaf95d30</anchor>
      <arglist>(const int numcols, const CoinBigIndex *columnStarts, const int *rows, const double *elements, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60f8a78babc2a9f6584d1475d336f9</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5e9e794e31ab92ac4e476924bdb2fac5</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a54804d3ea0d4691727e68ca86a27c0c9</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8007140b8d07605789f9524f024f9ee7</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3b50ec92a58e6dcab48ca0e0207e17c6</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad89b9a64d02dd59903ae60f31fbcdb54</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adecc389126e33041b00107595b2179b0</anchor>
      <arglist>(int numberElements, const int *columns, const double *element, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a54804d3ea0d4691727e68ca86a27c0c9</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8007140b8d07605789f9524f024f9ee7</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3b50ec92a58e6dcab48ca0e0207e17c6</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad89b9a64d02dd59903ae60f31fbcdb54</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adecc389126e33041b00107595b2179b0</anchor>
      <arglist>(int numberElements, const int *columns, const double *element, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6957503d520d7d080ba8ef47d2ceece3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac6a528ebe53957baf5bcd13110fa0353</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a884502fe1e19b41f942bb9a3bdcb76b6</anchor>
      <arglist>(const int numrows, const CoinBigIndex *rowStarts, const int *columns, const double *element, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfaad7fc8ce5c386758c6d8c5e333efc</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6805bb6b6b4418aa27dc59c0f65327e7</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6957503d520d7d080ba8ef47d2ceece3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac6a528ebe53957baf5bcd13110fa0353</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a884502fe1e19b41f942bb9a3bdcb76b6</anchor>
      <arglist>(const int numrows, const CoinBigIndex *rowStarts, const int *columns, const double *element, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfaad7fc8ce5c386758c6d8c5e333efc</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6805bb6b6b4418aa27dc59c0f65327e7</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac41b0922f868043944f5d2e7ec104a04</anchor>
      <arglist>(const CoinPackedMatrix &amp;matrix, const double *collb, const double *colub, const double *obj, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assignProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa3492523b42f0cfecd3f5ddfaa8f9373</anchor>
      <arglist>(CoinPackedMatrix *&amp;matrix, double *&amp;collb, double *&amp;colub, double *&amp;obj, double *&amp;rowlb, double *&amp;rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae884922d1787a42e40cb876a48959463</anchor>
      <arglist>(const CoinPackedMatrix &amp;matrix, const double *collb, const double *colub, const double *obj, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assignProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3e5765e8ce5fe8a7870c8998cf40f77</anchor>
      <arglist>(CoinPackedMatrix *&amp;matrix, double *&amp;collb, double *&amp;colub, double *&amp;obj, char *&amp;rowsen, double *&amp;rowrhs, double *&amp;rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4a1ef4400bb8721fd7d6910d60dd4b46</anchor>
      <arglist>(const int numcols, const int numrows, const int *start, const int *index, const double *value, const double *collb, const double *colub, const double *obj, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aefe40fd3c07cd4a8b1898e8fdf3e56a7</anchor>
      <arglist>(const int numcols, const int numrows, const int *start, const int *index, const double *value, const double *collb, const double *colub, const double *obj, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac05ece7535f5ee98272d910577f2257c</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2e1a80224b915bf3e5a809a137b5656d</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;, double objSense=0.0) const</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac1ab31a12e1d052aec04267e1d57418b</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aec8a22eab5e244f372f3dfa83e1cd8a1</anchor>
      <arglist>(const char *filename, const char *extension, int &amp;numberSets, CoinSet **&amp;sets)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac1ab31a12e1d052aec04267e1d57418b</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aec8a22eab5e244f372f3dfa83e1cd8a1</anchor>
      <arglist>(const char *filename, const char *extension, int &amp;numberSets, CoinSet **&amp;sets)</arglist>
    </member>
    <member kind="function">
      <type>VOL_problem *</type>
      <name>volprob</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad9b948f9ba7dc03f30cb747b7c180964</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acbae7780d832ae3e62e651fc6e5f438d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual OsiSolverInterface *</type>
      <name>clone</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a027fcf6c54a3eb01c66e1f4c7dd5233b</anchor>
      <arglist>(bool copyData=true) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfc6d8568d1a8618ae49a7bdf6f0aa90</anchor>
      <arglist>(const OsiVolSolverInterface &amp;)</arglist>
    </member>
    <member kind="function">
      <type>OsiVolSolverInterface &amp;</type>
      <name>operator=</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa644e53d773d4dde397a80697bc54b5f</anchor>
      <arglist>(const OsiVolSolverInterface &amp;rhs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a41a5645a3787a80a832623b3f4c14050</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromRlbRub</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae504346709c43c82e95b0757c88fc68b</anchor>
      <arglist>(const int rownum, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromRhsSenseRange</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8bda83f9cad03ea0d9d068d60f786fb0</anchor>
      <arglist>(const int rownum, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromClbCubObj</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa9b025f3c091f2f64884fac64158c771</anchor>
      <arglist>(const int colnum, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>applyRowCut</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a288d69036d580107d0f0a701e382582b</anchor>
      <arglist>(const OsiRowCut &amp;rc)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>applyColCut</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac965135c34b7d5c049e56f3e9db41097</anchor>
      <arglist>(const OsiColCut &amp;cc)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>compute_rc</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5ff89d0bb6f2ec7e8c4655286564450f</anchor>
      <arglist>(const VOL_dvector &amp;u, VOL_dvector &amp;rc)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>solve_subproblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af9c03548fea7f4f4e8168dc56a961f6c</anchor>
      <arglist>(const VOL_dvector &amp;dual, const VOL_dvector &amp;rc, double &amp;lcost, VOL_dvector &amp;x, VOL_dvector &amp;v, double &amp;pcost)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>heuristics</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a92e031f098f71a8a061b14fad497accd</anchor>
      <arglist>(const VOL_problem &amp;, const VOL_dvector &amp;, double &amp;heur_val)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>updateRowMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acf1de69b8c89ebd6aabb73fff5a54941</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>updateColMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abf883ece6884162da5b3e752675b93c4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>checkData_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2d4672471a9956c60b34e45f3bd240ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>compute_rc_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ada1f02694d77cba2fd808cce9aa9566f</anchor>
      <arglist>(const double *u, double *rc) const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>gutsOfDestructor_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aaa83f9fbc524b649a7f0d07f500415f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>rowRimAllocator_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a40d8a14a26d069f62a5642846ba159fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>colRimAllocator_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a94ef281a85fc2df1863f9a98a06de528</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>rowRimResize_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a05a11028122647541c33f202fefc430d</anchor>
      <arglist>(const int newSize)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>colRimResize_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6641420238ed18381d0a5934458f53b9</anchor>
      <arglist>(const int newSize)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>convertBoundsToSenses_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8761c3b4b1a38d547b00a2347d08439f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>convertSensesToBounds_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3ccd3e54a258132b9e7c03b5fc932fa2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>bool</type>
      <name>test_zero_one_minusone_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a11ed9eb302b60e9b512e9566caf1bee0</anchor>
      <arglist>(const CoinPackedMatrix &amp;m) const</arglist>
    </member>
  </compound>
</tagfile>
